#!/bin/ksh

# prepare MP3s in current directory for Evoke 3 and copy to it 
# overwriting if it already exists -- NOTE this could overwrite another album on Evoke
#                                          if it starts with the same characters
#
# Param: 	8 character folder name

EVOKE=/Volumes/Evoke3

tidy-mp3s # in the source directory so they don't get tagged
mp3-tag-convert.pl # tag the MP3s 

if [[ "$1" != "" ]]; then 
    # protect against malicious or unintended paths
    FOLDER=${1//\//_}
else
	# if the arg is missing use the current directory folder name
	FOLDER=${PWD##*/}
fi

# truncate as the Evoke 3 doesn't do long folder names
FOLDER=${FOLDER:0:8}

echo copying to folder "$FOLDER" ...
FOLDER="$EVOKE/$FOLDER"
rm -rf "$FOLDER"
mkdir "$FOLDER"
cp -R . "$FOLDER"

cd "$FOLDER"
tidy-mp3s # in the destination directory so the Evoke 3 won't show them


